Subject: Wording of Authorization deefinition (was Re: protocol-27 comments #3)

From: "Jim Sermersheim" <[email-masked]>
Date: Mon, 08 Nov 2004 12:38:21 -0700

>>> Hallvard B Furuseth [email-masked]> 11/8/04 5:59:28 AM >>
<snip>
>> 4.2. Bind Operation
>
>> Authorization is the decision of which access an operation has to
the
>> directory. Among other things, the process of authorization takes
as
>> input authentication information obtained during the bind operation
>> and/or other acts of authentication (such as lower layer security
>> services).
>
>Authorization can also - or instead - take as input information which
is
>not normally considered acts of authentication, such as the IP number
of
>time of day.
 
"can also" = "among other things", and "or instead" = "and/or"
<snip>
 
Jim

---

From: Hallvard B Furuseth <[email-masked]>
Date: Mon, 8 Nov 2004 20:44:21 +0100

Jim Sermersheim writes:
>>> the directory. Among other things, the process of authorization
>>> takes as input authentication information obtained during the bind
>>> operation and/or other acts of authentication (such as lower layer
>>> security services).
>>
>> is not normally considered acts of authentication, such as the IP
>> number of time of day.

Heh.  I tied "Among other things," to the wrong part of the rest of the
sentence.  Can't see how I managed that...

-- 
Hallvard

---

From: "Jim Sermersheim" <[email-masked]>
Date: Thu, 11 Nov 2004 21:02:07 -0700

I agree withi this. This was added to 2251, but hasn't been needed since
we added AuthMeth.
 
If no one disagrees, I'll remove it.
 
Jim

>>> "Kurt D. Zeilenga" <[email-masked]> 11/11/04 10:46:12 PM >>>
Given our reference to [AuthMeth], I think it best to delete
the whole paragraph containing this text. The paragraph is
simply not needed anymore (in [Protocol]).

Kurt

At 03:51 PM 11/9/2004, Jim Sermersheim wrote:
>ok, new text is:
>
>The process of authorization may, among other things, consider
>authentication information obtained during the bind operation, and/or
>other acts of authentication (such as lower layer security services).
>
>Jim
>
>>>> Hallvard B Furuseth < [email-masked] > 11/9/04 6:32:32
AM
>>>>
>Jim Sermersheim writes:
>> Is this less or more confusing?
>> The process of authorization may consider (among other things),
>> authentication information obtained during the bind operation,
>and/or
>> may consider other acts of authentication (such as lower layer
>security
>> services).
>
>Less confusing, less neat. I would
>s/consider (among other things)/among other things consider/
>s/may consider other acts/other acts/.
>Or keep the original text, but with s/takes as input/may consider/.
>
>Though now that I see how the original text should be read, I'm not
>sure
>I want to argue it is confusing. I'm quite capable of confusing
myself
>without help from the draft.
>
>-- 
>Hallvard